YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class NumericAxis

Package | com.yahoo.astra.fl.charts.axes
Class | public class NumericAxis
Inheritance | NumericAxis BaseAxis
Implements | IAxis, IOriginAxis, IStackingAxis

An axis type representing a numeric range from minimum to maximum with major and minor divisions.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | alwaysShowZero : Boolean If true, the axis will attempt to keep zero visible at all times. | NumericAxis
|  | chart : IChart The chart in which this axis appears. | BaseAxis
|  | labelFunction : Function | BaseAxis
|  | majorUnit : Number The major unit at which new ticks and labels are drawn. | NumericAxis
|  | maximum : Number The maximum value displayed on the axis. | NumericAxis
|  | minimum : Number The minimum value displayed on the axis. | NumericAxis
|  | minorUnit : Number The minor unit at which new ticks are drawn. | NumericAxis
|  | origin : Object [read-only] Returns the value of the origin. | NumericAxis
|  | renderer : IAxisRenderer The visual renderer applied to this axis. | BaseAxis
|  | reverse : Boolean Sets the direction of the labels and other visual objects along the axis. | BaseAxis
|  | scale : String The type of scaling used to display items on the axis. | NumericAxis
|  | snapToUnits : Boolean If true, the labels, ticks, gridlines, and other objects will snap to the nearest major or minor unit. | NumericAxis
|  | stackingEnabled : Boolean If true, the axis will allow the stacking of series that implement the interface IStackedSeries. | NumericAxis
|  | title : String The text that will appear next to the axis to indicate information about the data that it displays. | BaseAxis

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | NumericAxis() Constructor. | NumericAxis
|  | stack(top:Object, ... rest):Object Calculates the sum of values if they were stacked on the axis. | NumericAxis
|  | updateScale(data:Array):void Determines the axis scale based on the input data set. | NumericAxis
|  | valueToLabel(value:Object):String Converts a value on the axis to formatted label text. | BaseAxis
|  | valueToLocal(data:Object):Number Calculates the position of a data point along the axis. | NumericAxis

Property detail

alwaysShowZero | property

`alwaysShowZero:Boolean` [read-write]

If true, the axis will attempt to keep zero visible at all times. If both the minimum and maximum values displayed on the axis are above zero, the minimum will be reset to zero. If both minimum and maximum appear below zero, the maximum will be reset to zero. If the minimum and maximum appear at positive and negative values respectively, zero is already visible and the axis scale does not change.

This property has no affect if you manually set the minimum and maximum values of the axis.

Implementation
`public function get alwaysShowZero():Boolean`
`public function set alwaysShowZero(value:Boolean):void`

majorUnit | property |

`majorUnit:Number` [read-write]

The major unit at which new ticks and labels are drawn. By default, this value is generated by the axis itself. If the user defines this value, the axis will skip the automatic generation. To enable this behavior again, set this property to NaN.

Implementation
`public function get majorUnit():Number`
`public function set majorUnit(value:Number):void`

maximum | property |

`maximum:Number` [read-write]

The maximum value displayed on the axis. By default, this value is generated by the axis itself. If the user defines this value, the axis will skip this automatic generation. To enable this behavior again, set this property to NaN.

Implementation
`public function get maximum():Number`
`public function set maximum(value:Number):void`

minimum | property |

`minimum:Number` [read-write]

The minimum value displayed on the axis. By default, this value is generated by the axis itself. If the user defines this value, the axis will skip this automatic generation. To enable this behavior again, set this property to NaN.

Implementation
`public function get minimum():Number`
`public function set minimum(value:Number):void`

minorUnit | property |

`minorUnit:Number` [read-write]

The minor unit at which new ticks are drawn. By default, this value is generated by the axis itself. If the user defines this value, the axis will skip the automatic generation. To enable this behavior again, set this property to NaN.

Implementation
`public function get minorUnit():Number`
`public function set minorUnit(value:Number):void`

origin | property |

`origin:Object` [read-only]

Returns the value of the origin. This is not the position of the origin. To get the origin's position, pass the origin value to valueToLocal(). Note: This value may not be the true origin value. It may be a minimum or maximum value if the actual origin is not visible.

Implementation
`public function get origin():Object`

scale | property |

`scale:String` [read-write]

The type of scaling used to display items on the axis.

Implementation
`public function get scale():String`
`public function set scale(value:String):void`

See also

com.yahoo.astra.fl.charts.ScaleType

snapToUnits | property |

`snapToUnits:Boolean` [read-write]

If true, the labels, ticks, gridlines, and other objects will snap to the nearest major or minor unit. If false, their position will be based on the minimum value.

Implementation
`public function get snapToUnits():Boolean`
`public function set snapToUnits(value:Boolean):void`

stackingEnabled | property |

`stackingEnabled:Boolean` [read-write]

If true, the axis will allow the stacking of series that implement the interface IStackedSeries.

Must be explicitly enabled. Implementation
`public function get stackingEnabled():Boolean`
`public function set stackingEnabled(value:Boolean):void`

Constructor detail

NumericAxis | () | constructor

`public function NumericAxis()`

Constructor.

Method detail

stack | () | method

`public function stack(top:Object, ... rest):Object`

Calculates the sum of values if they were stacked on the axis. The first value is important because some axis types, such as NumericAxis, may differentiate between positive and negative values.

Parameters

| `top:Object`
| `... rest`

Returns

| `Object`

updateScale | () | method |

`public function updateScale(data:Array):void`

Determines the axis scale based on the input data set. Seperating this function from the draw method optimizes processing time, and it allows the chart to synchronize its axes.

Parameters

| `data:Array` — The complete dataset that could be drawn on the axis.

valueToLocal | () | method |

`public function valueToLocal(data:Object):Number`

Calculates the position of a data point along the axis.

Parameters

| `data:Object` — The data used to determine the position

Returns

| `Number` — The display position in pixels on the axis